From da8047ec6d44b6498ae8ec15c1a337439552252d Mon Sep 17 00:00:00 2001
From: Evgeny Nerush <eugene.nerush@gmail.com>
Date: Fri, 15 Dec 2023 15:56:59 +0300
Subject: [PATCH 14/17] update Readmy, add instructions for client apps

---
 .gitignore                      |   3 +-
 HiddifyNG.en.md                 |  14 ++++
 Nekoray.ru.md                   |  16 ++++
 README.md                       | 127 ++++++++++++++++++++++----------
 V2RayNG.ru.md                   |  11 +++
 browser-proxy-settings.png      | Bin 69941 -> 0 bytes
 ex.sh                           |   4 +-
 figs/browser-proxy-settings.png | Bin 0 -> 81012 bytes
 figs/hiddify-1.jpg              | Bin 0 -> 31089 bytes
 figs/hiddify-2.jpg              | Bin 0 -> 28826 bytes
 figs/hiddify-3.jpg              | Bin 0 -> 43977 bytes
 figs/hiddify-4.jpg              | Bin 0 -> 75876 bytes
 figs/nekoray-1.jpg              | Bin 0 -> 75350 bytes
 figs/nekoray-2.jpg              | Bin 0 -> 70596 bytes
 figs/nekoray-3.jpg              | Bin 0 -> 160578 bytes
 figs/nekoray-5.jpg              | Bin 0 -> 52038 bytes
 figs/nekoray-6.jpg              | Bin 0 -> 139613 bytes
 figs/v2ray-1.jpg                | Bin 0 -> 19384 bytes
 figs/v2ray-2.jpg                | Bin 0 -> 63295 bytes
 figs/v2ray-3.jpg                | Bin 0 -> 87211 bytes
 figs/xray-schematic.png         | Bin 0 -> 19728 bytes
 21 files changed, 131 insertions(+), 44 deletions(-)
 create mode 100644 HiddifyNG.en.md
 create mode 100644 Nekoray.ru.md
 create mode 100644 V2RayNG.ru.md
 delete mode 100644 browser-proxy-settings.png
 create mode 100644 figs/browser-proxy-settings.png
 create mode 100644 figs/hiddify-1.jpg
 create mode 100644 figs/hiddify-2.jpg
 create mode 100644 figs/hiddify-3.jpg
 create mode 100644 figs/hiddify-4.jpg
 create mode 100644 figs/nekoray-1.jpg
 create mode 100644 figs/nekoray-2.jpg
 create mode 100644 figs/nekoray-3.jpg
 create mode 100644 figs/nekoray-5.jpg
 create mode 100644 figs/nekoray-6.jpg
 create mode 100644 figs/v2ray-1.jpg
 create mode 100644 figs/v2ray-2.jpg
 create mode 100644 figs/v2ray-3.jpg
 create mode 100644 figs/xray-schematic.png

diff --git a/.gitignore b/.gitignore
index 41428ba..5fd76d2 100644
--- a/.gitignore
+++ b/.gitignore
@@ -1,2 +1 @@
-config_*.json
-config_*.json.backup
+figs/*.kra
diff --git a/ex.sh b/ex.sh
index 83a5646..419496d 100755
--- a/ex.sh
+++ b/ex.sh
@@ -543,7 +543,7 @@ then
     public_key=$(strip_quotes $(jq ".outbounds[0].streamSettings.realitySettings.publicKey" $conf_file))
     server_name=$(strip_quotes $(jq ".outbounds[0].streamSettings.realitySettings.serverName" $conf_file))
     short_id=$(strip_quotes $(jq ".outbounds[0].streamSettings.realitySettings.shortId" $conf_file))
-    link="vless://${id}@${address}:${port}?fragment=&security=reality&encryption=none&pbk=${public_key}&headerType=none&fp=chrome&type=tcp&flow=xtls-rprx-vision&sni=${server_name}&sid=${short_id}#easy-xray+%F0%9F%97%BD"
+    link="vless://${id}@${address}:${port}?fragment=&security=reality&encryption=none&pbk=${public_key}&fp=chrome&type=tcp&flow=xtls-rprx-vision&sni=${server_name}&sid=${short_id}#easy-xray+%F0%9F%97%BD"
     echo -e "${yellow}don't forget to share misc/customgeo4hiddify.txt as well
 ${green}here is your link:${normal}"
     echo $link
@@ -649,7 +649,7 @@ then
                 [[ $SUDO_USER ]] && chown "$SUDO_USER:$SUDO_USER" ${to}/config_server.json
                 if $ok1 && $ok2
                 then
-                    echo -e "${green}${to}/config_client_${uname_from_email}.json is written, config_server.json is updated${normal}"
+                    echo -e "${green}${to}/config_client_${uname_from_email}.json is written, ${to}/config_server.json is updated${normal}"
                 else
                     echo -e "${yellow}something went wrong with username ${uname_from_email}${normal}"
                 fi
